# List files from workspace

- Operation ID: `getFiles`
- HTTP method: `GET`
- Path: `/uploader-service/storage-files/list`
- [Human-readable API reference](https://hub.synerise.com/api-reference/asset-management#tag/Uploader/operation/getFiles)

## Self-contained OpenAPI method

The fenced document below contains this method's documentation and all of its local references. It is self-contained; no category or master specification fetch is required.

```yaml
openapi: 3.0.0
info:
  title: Synerise Public API
  version: 1.9.1
paths:
  /uploader-service/storage-files/list:
    get:
      tags:
        - Uploader
      summary: List files from workspace
      description: |
        Retrieve a list of all files in the Workspace.

        ---

        **API consumer:** <a href="/api-reference/authorization?tag=Authorization&amp;operationId=userLogin" target="_blank" rel="noopener">Synerise User</a>

        **User role permission required:** `assets_explorer: read`
      operationId: getFiles
      responses:
        "200":
          description: Files
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    author:
                      description: Name of the user who uploaded the file
                      type: string
                    canEdit:
                      description: Defines if the file can be edited
                      type: boolean
                    canRemove:
                      description: Defines if the file can be deleted
                      type: boolean
                    created:
                      description: Creation date
                      type: string
                    filename:
                      description: Name of the file
                      type: string
                    id:
                      description: ID of the file
                      type: string
                    uuid:
                      type: string
                      description: UUID of the file, without dashes
                    isStarred:
                      type: boolean
                      description: Informs if the file is starred.
                    mimetype:
                      type: string
                      description: The MIME type of the file.
                      enum:
                        - image/png
                        - image/jpeg
                        - image/jpg
                        - image/gif
                        - video/mp4
                        - application/pdf
                        - application/vnd.openxmlformats-officedocument.wordprocessingml.document
                        - application/vnd.ms-excel
                    path:
                      type: object
                      description: Paths to different versions of the resource. Some MIME types only have `origin`.
                      properties:
                        large:
                          type: string
                          description: Path to the large version of the file
                        origin:
                          type: string
                          description: Path to the original file
                        thumb:
                          type: string
                          description: Path to the thumbnail
                    size:
                      type: number
                      description: Size of the file in bytes
                    storageId:
                      type: string
                      description: Name of the container where the file is stored
                    updated:
                      type: string
                      description: Year of last update
                    url:
                      type: string
                      description: URL of the file
                    user_id:
                      type: number
                      description: ID of the user who uploaded the file
      security:
        - JWT: []
      x-snr-doc-urls:
        - /api-reference/asset-management#tag/Uploader/operation/getFiles
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl --request GET \
              --url https://api.synerise.com/uploader-service/storage-files/list \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: Python
          label: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("api.synerise.com")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/uploader-service/storage-files/list", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
        - lang: JavaScript
          label: JavaScript
          source: |-
            const data = null;

            const xhr = new XMLHttpRequest();
            xhr.withCredentials = true;

            xhr.addEventListener("readystatechange", function () {
              if (this.readyState === this.DONE) {
                console.log(this.responseText);
              }
            });

            xhr.open("GET", "https://api.synerise.com/uploader-service/storage-files/list");
            xhr.setRequestHeader("Authorization", "Bearer REPLACE_BEARER_TOKEN");

            xhr.send(data);
        - lang: Node.js
          label: Node.js
          source: |-
            const http = require("https");

            const options = {
              "method": "GET",
              "hostname": "api.synerise.com",
              "port": null,
              "path": "/uploader-service/storage-files/list",
              "headers": {
                "Authorization": "Bearer REPLACE_BEARER_TOKEN"
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on("data", function (chunk) {
                chunks.push(chunk);
              });

              res.on("end", function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: PHP
          label: PHP
          source: |-
            <?php

            $request = new HttpRequest();
            $request->setUrl('https://api.synerise.com/uploader-service/storage-files/list');
            $request->setMethod(HTTP_METH_GET);

            $request->setHeaders([
              'Authorization' => 'Bearer REPLACE_BEARER_TOKEN'
            ]);

            try {
              $response = $request->send();

              echo $response->getBody();
            } catch (HttpException $ex) {
              echo $ex;
            }
        - lang: Java
          label: Java
          source: |-
            HttpResponse<String> response = Unirest.get("https://api.synerise.com/uploader-service/storage-files/list")
              .header("Authorization", "Bearer REPLACE_BEARER_TOKEN")
              .asString();
servers:
  - description: Microsoft Azure EU
    url: https://api.synerise.com
  - description: Microsoft Azure USA
    url: https://api.azu.synerise.com
  - description: Google Cloud Platform
    url: https://api.geb.synerise.com
tags:
  - name: Uploader
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      description: |-
        JWT Bearer token. The header looks like this: `Bearer {JWT}`

        Remember to include the space between 'Bearer' and the token.

        Generate a token via the **Authorization** endpoints.
```
